GNATdoc.InheritanceIndex = [
  {
    "label": "Anchor",
    "docHref": "docs/widgets___spec.html#L59C10"
  },
  {
    "label": "Ast_Node",
    "docHref": "docs/scribble__ast___spec.html#L64C10",
    "inherited": [
      {
        "label": "Ast_Expression",
        "docHref": "docs/scribble__ast__expressions___spec.html#L30C10",
        "inherited": [
          {
            "label": "Ast_Binary_Op",
            "docHref": "docs/scribble__ast__expressions__operators___spec.html#L108C10",
            "inherited": [
              {
                "label": "Ast_Assign",
                "docHref": "docs/scribble__ast__expressions__operators___spec.html#L177C10"
              },
              {
                "label": "Ast_Index",
                "docHref": "docs/scribble__ast__expressions__operators___spec.html#L227C10"
              }
            ]
          },
          {
            "label": "Ast_Builtin",
            "docHref": "docs/scribble__ast__expressions___spec.html#L54C10"
          },
          {
            "label": "Ast_Conditional",
            "docHref": "docs/scribble__ast__expressions__operators___spec.html#L259C10"
          },
          {
            "label": "Ast_Function_Call",
            "docHref": "docs/scribble__ast__expressions___spec.html#L80C10",
            "inherited": [
              {
                "label": "Ast_Member_Call",
                "docHref": "docs/scribble__ast__expressions___spec.html#L128C10"
              }
            ]
          },
          {
            "label": "Ast_Function_Definition",
            "docHref": "docs/scribble__ast__functions___spec.html#L38C10"
          },
          {
            "label": "Ast_List",
            "docHref": "docs/scribble__ast__expressions___spec.html#L157C10"
          },
          {
            "label": "Ast_Literal",
            "docHref": "docs/scribble__ast__expressions___spec.html#L194C10"
          },
          {
            "label": "Ast_Map",
            "docHref": "docs/scribble__ast__expressions___spec.html#L216C10"
          },
          {
            "label": "Ast_Self",
            "docHref": "docs/scribble__ast__expressions___spec.html#L272C10"
          },
          {
            "label": "Ast_Symbol",
            "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L13C10",
            "inherited": [
              {
                "label": "Ast_Identifier",
                "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L34C10"
              },
              {
                "label": "Ast_Membership",
                "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L87C10"
              },
              {
                "label": "Ast_Name_Expr",
                "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L126C10"
              },
              {
                "label": "Ast_This",
                "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L68C10"
              }
            ]
          },
          {
            "label": "Ast_Unary_Op",
            "docHref": "docs/scribble__ast__expressions__operators___spec.html#L23C10",
            "inherited": [
              {
                "label": "Ast_Reference",
                "docHref": "docs/scribble__ast__expressions__operators___spec.html#L77C10"
              }
            ]
          }
        ]
      },
      {
        "label": "Ast_Statement",
        "docHref": "docs/scribble__ast__statements___spec.html#L23C10",
        "inherited": [
          {
            "label": "Ast_Block",
            "docHref": "docs/scribble__ast__statements___spec.html#L68C10"
          },
          {
            "label": "Ast_Exit",
            "docHref": "docs/scribble__ast__statements___spec.html#L210C10"
          },
          {
            "label": "Ast_Expression_Statement",
            "docHref": "docs/scribble__ast__statements___spec.html#L231C10"
          },
          {
            "label": "Ast_If",
            "docHref": "docs/scribble__ast__statements___spec.html#L262C10"
          },
          {
            "label": "Ast_Loop",
            "docHref": "docs/scribble__ast__statements___spec.html#L328C10"
          },
          {
            "label": "Ast_Return",
            "docHref": "docs/scribble__ast__statements___spec.html#L368C10"
          },
          {
            "label": "Ast_Var",
            "docHref": "docs/scribble__ast__statements___spec.html#L398C10"
          }
        ]
      }
    ]
  },
  {
    "label": "Ast_Processor",
    "docHref": "docs/scribble__ast__processors___spec.html#L24C10",
    "inherited": [
      {
        "label": "Code_Generator",
        "docHref": "docs/scribble__code_generators___spec.html#L33C10"
      },
      {
        "label": "Semantic_Analyzer",
        "docHref": "docs/scribble__semantics___spec.html#L66C10"
      }
    ]
  },
  {
    "label": "Bin",
    "docHref": "docs/bin_packing___spec.html#L26C10"
  },
  {
    "label": "Binary_Operation",
    "docHref": "docs/values__operations___spec.html#L52C10",
    "inherited": [
      {
        "label": "Add_Op",
        "docHref": "docs/values__operations___spec.html#L74C10"
      },
      {
        "label": "And_Op",
        "docHref": "docs/values__operations___spec.html#L75C10"
      },
      {
        "label": "Concat_Op",
        "docHref": "docs/values__operations___spec.html#L76C10"
      },
      {
        "label": "Divide_Op",
        "docHref": "docs/values__operations___spec.html#L77C10"
      },
      {
        "label": "In_Op",
        "docHref": "docs/values__operations___spec.html#L78C10"
      },
      {
        "label": "Index_Op",
        "docHref": "docs/values__operations___spec.html#L79C10",
        "inherited": [
          {
            "label": "Index_Ref_Op",
            "docHref": "docs/values__operations___spec.html#L80C10"
          }
        ]
      },
      {
        "label": "Modulo_Op",
        "docHref": "docs/values__operations___spec.html#L81C10"
      },
      {
        "label": "Multiply_Op",
        "docHref": "docs/values__operations___spec.html#L82C10"
      },
      {
        "label": "Operation",
        "docHref": "docs/values__operations___generic_binary___spec.html#L63C14"
      },
      {
        "label": "Or_Op",
        "docHref": "docs/values__operations___spec.html#L83C10"
      },
      {
        "label": "Power_Op",
        "docHref": "docs/values__operations___spec.html#L84C10"
      },
      {
        "label": "Subtract_Op",
        "docHref": "docs/values__operations___spec.html#L85C10"
      },
      {
        "label": "Xor_Op",
        "docHref": "docs/values__operations___spec.html#L86C10"
      }
    ]
  },
  {
    "label": "Buffer",
    "docHref": "docs/ring_buffers___spec.html#L14C10"
  },
  {
    "label": "Controlled",
    "docHref": "docs/controlled___spec.html#L43C9",
    "inherited": [
      {
        "label": "Library_Ptr",
        "docHref": "docs/tiles__libraries___spec.html#L34C10"
      },
      {
        "label": "Ref",
        "docHref": "docs/reference_counting___smart_pointers___spec.html#L31C14"
      },
      {
        "label": "Token_Ptr",
        "docHref": "docs/scribble__tokens___spec.html#L125C10"
      },
      {
        "label": "Value",
        "docHref": "docs/values___spec.html#L50C10",
        "inherited": [
          {
            "label": "Error_Value",
            "docHref": "docs/values__errors___spec.html#L32C10"
          },
          {
            "label": "Function_Value",
            "docHref": "docs/values__functions___spec.html#L37C10"
          },
          {
            "label": "List_Value",
            "docHref": "docs/values__lists___spec.html#L21C10"
          },
          {
            "label": "Map_Value",
            "docHref": "docs/values__maps___spec.html#L38C10"
          },
          {
            "label": "String_Value",
            "docHref": "docs/values__strings___spec.html#L19C10"
          }
        ]
      }
    ]
  },
  {
    "label": "Event_Listener",
    "docHref": "docs/events__listeners___spec.html#L14C10"
  },
  {
    "label": "Frame_Timer",
    "docHref": "docs/support__real_time___spec.html#L36C10"
  },
  {
    "label": "Icon_Type",
    "docHref": "docs/icons___spec.html#L17C10"
  },
  {
    "label": "Limited_Controlled",
    "docHref": "docs/limited_controlled___spec.html#L50C9",
    "inherited": [
      {
        "label": "Tree",
        "docHref": "docs/quad_trees___spec.html#L17C10"
      }
    ]
  },
  {
    "label": "Limited_Object",
    "docHref": "docs/objects___spec.html#L88C10",
    "inherited": [
      {
        "label": "Application",
        "docHref": "docs/applications___spec.html#L17C10",
        "inherited": [
          {
            "label": "Gui_Application",
            "docHref": "docs/applications__gui___spec.html#L15C10",
            "inherited": [
              {
                "label": "Game_Application",
                "docHref": "docs/applications__gui__games___spec.html#L17C10",
                "inherited": [
                  {
                    "label": "Keen_Application",
                    "docHref": "docs/applications__gui__games__keen___spec.html#L15C10"
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        "label": "Archive",
        "docHref": "docs/resources__archives___spec.html#L20C10",
        "inherited": [
          {
            "label": "Zip_Archive",
            "docHref": "docs/resources__archives__zip_archives___spec.html#L26C10"
          }
        ]
      },
      {
        "label": "Atlas",
        "docHref": "docs/tiles__atlases___spec.html#L16C10"
      },
      {
        "label": "Audio_Player",
        "docHref": "docs/audio_players___spec.html#L26C10"
      },
      {
        "label": "Catalog",
        "docHref": "docs/tiles__catalogs___spec.html#L23C10"
      },
      {
        "label": "Component_System",
        "docHref": "docs/entities__systems___spec.html#L61C10",
        "inherited": [
          {
            "label": "Collision_System",
            "docHref": "docs/entities__systems__collision___spec.html#L15C10"
          },
          {
            "label": "Entity_Clipping_System",
            "docHref": "docs/entities__systems__entity_clipping___spec.html#L22C10"
          },
          {
            "label": "Positioning_System",
            "docHref": "docs/entities__systems__positioning___spec.html#L15C10"
          }
        ]
      },
      {
        "label": "Corral",
        "docHref": "docs/events__corrals___spec.html#L32C10"
      },
      {
        "label": "Definition",
        "docHref": "docs/entities__factory__definitions___spec.html#L20C10"
      },
      {
        "label": "Element_Style",
        "docHref": "docs/widget_styles___spec.html#L28C10",
        "inherited": [
          {
            "label": "Area_Style",
            "docHref": "docs/widget_styles___spec.html#L242C10"
          },
          {
            "label": "Icon_Style",
            "docHref": "docs/widget_styles___spec.html#L301C10"
          },
          {
            "label": "Text_Style",
            "docHref": "docs/widget_styles___spec.html#L351C10"
          },
          {
            "label": "Widget_Style",
            "docHref": "docs/widget_styles___spec.html#L34C10"
          }
        ]
      },
      {
        "label": "Entity",
        "docHref": "docs/entities___spec.html#L53C10"
      },
      {
        "label": "Entity_System",
        "docHref": "docs/entities__systems___spec.html#L49C10"
      },
      {
        "label": "Event_Manager",
        "docHref": "docs/events__manager___spec.html#L20C10"
      },
      {
        "label": "Font",
        "docHref": "docs/fonts___spec.html#L19C10"
      },
      {
        "label": "Game",
        "docHref": "docs/games___spec.html#L29C10"
      },
      {
        "label": "Game_View",
        "docHref": "docs/game_views___spec.html#L38C10",
        "inherited": [
          {
            "label": "Keen_View",
            "docHref": "docs/game_views__keen___spec.html#L14C10"
          }
        ]
      },
      {
        "label": "Input_Handler",
        "docHref": "docs/input_handlers___spec.html#L22C10"
      },
      {
        "label": "Lighting_System",
        "docHref": "docs/lighting_systems___spec.html#L31C10"
      },
      {
        "label": "Mouse_Cursor",
        "docHref": "docs/mouse__cursors___spec.html#L15C10",
        "inherited": [
          {
            "label": "Custom_Cursor",
            "docHref": "docs/mouse__cursors___spec.html#L37C10"
          },
          {
            "label": "System_Cursor",
            "docHref": "docs/mouse__cursors___spec.html#L52C10"
          }
        ]
      },
      {
        "label": "Particle_System",
        "docHref": "docs/particles__systems___spec.html#L27C10"
      },
      {
        "label": "Process_Manager",
        "docHref": "docs/processes__managers___spec.html#L43C10"
      },
      {
        "label": "Renderer",
        "docHref": "docs/renderers___spec.html#L22C10"
      },
      {
        "label": "Script_VM",
        "docHref": "docs/script_vms___spec.html#L20C10"
      },
      {
        "label": "Shape_Cache",
        "docHref": "docs/maps__shape_caches___spec.html#L20C10"
      },
      {
        "label": "State_Machine",
        "docHref": "docs/entities__states___spec.html#L66C10"
      },
      {
        "label": "Style_Definition",
        "docHref": "docs/widget_styles__registry___spec.html#L15C10"
      },
      {
        "label": "Tile_Library",
        "docHref": "docs/tiles__libraries___spec.html#L33C10"
      },
      {
        "label": "Tile_Object",
        "docHref": "docs/tiles___spec.html#L53C10"
      },
      {
        "label": "Widget",
        "docHref": "docs/widgets___spec.html#L86C10",
        "inherited": [
          {
            "label": "Button",
            "docHref": "docs/widgets__buttons___spec.html#L19C10",
            "inherited": [
              {
                "label": "Push_Button",
                "docHref": "docs/widgets__buttons__pushes___spec.html#L17C10"
              }
            ]
          },
          {
            "label": "Game_Screen",
            "docHref": "docs/widgets__game_screens___spec.html#L26C10",
            "inherited": [
              {
                "label": "Game_Play_Screen",
                "docHref": "docs/widgets__game_screens__game_play___spec.html#L26C10"
              },
              {
                "label": "Menu_Screen",
                "docHref": "docs/widgets__game_screens__menus___spec.html#L17C10",
                "inherited": [
                  {
                    "label": "Config_Screen",
                    "docHref": "docs/widgets__game_screens__menus__config___spec.html#L15C10"
                  },
                  {
                    "label": "Main_Menu_Screen",
                    "docHref": "docs/widgets__game_screens__menus__main___spec.html#L16C10"
                  }
                ]
              },
              {
                "label": "Message_Screen",
                "docHref": "docs/widgets__game_screens__message___spec.html#L18C10"
              },
              {
                "label": "Paddle_War_Screen",
                "docHref": "docs/widgets__game_screens__paddle_war___spec.html#L15C10"
              },
              {
                "label": "Retry_Screen",
                "docHref": "docs/widgets__game_screens__retry___spec.html#L15C10"
              },
              {
                "label": "Title_Screen",
                "docHref": "docs/widgets__game_screens__title___spec.html#L13C10"
              }
            ]
          },
          {
            "label": "Input_Box",
            "docHref": "docs/widgets__input_boxes___spec.html#L24C10"
          },
          {
            "label": "Label",
            "docHref": "docs/widgets__labels___spec.html#L15C10"
          },
          {
            "label": "Menu_Enumeration",
            "docHref": "docs/widgets__menu_enumerations___spec.html#L18C10"
          },
          {
            "label": "Menu_Item",
            "docHref": "docs/widgets__menu_items___spec.html#L17C10",
            "inherited": [
              {
                "label": "Sub_Menu",
                "docHref": "docs/widgets__menu_items__sub_menus___spec.html#L13C10"
              }
            ]
          },
          {
            "label": "Menubar",
            "docHref": "docs/widgets__menubars___spec.html#L17C10"
          },
          {
            "label": "Paddle_War",
            "docHref": "docs/widgets__paddle_wars___spec.html#L17C10"
          },
          {
            "label": "Panel",
            "docHref": "docs/widgets__panels___spec.html#L18C10"
          },
          {
            "label": "Progress_Board",
            "docHref": "docs/widgets__progress_boards___spec.html#L11C10"
          },
          {
            "label": "Scene",
            "docHref": "docs/widgets__scenes___spec.html#L37C10",
            "inherited": [
              {
                "label": "Keen_Scene",
                "docHref": "docs/widgets__scenes__keen___spec.html#L18C10"
              }
            ]
          },
          {
            "label": "Scoreboard",
            "docHref": "docs/widgets__scoreboards___spec.html#L11C10"
          },
          {
            "label": "Screen_Manager",
            "docHref": "docs/widgets__screen_managers___spec.html#L17C10"
          },
          {
            "label": "Sprite",
            "docHref": "docs/widgets__sprites___spec.html#L20C10"
          },
          {
            "label": "Textbox",
            "docHref": "docs/widgets__text_boxes___spec.html#L15C10"
          },
          {
            "label": "Window",
            "docHref": "docs/widgets__windows___spec.html#L27C10"
          }
        ]
      }
    ]
  },
  {
    "label": "Object",
    "docHref": "docs/objects___spec.html#L18C10",
    "inherited": [
      {
        "label": "Component",
        "docHref": "docs/entities___spec.html#L67C10",
        "inherited": [
          {
            "label": "Animation",
            "docHref": "docs/entities__components__animations___spec.html#L29C10"
          },
          {
            "label": "Attributes",
            "docHref": "docs/entities__components__entity_attributes___spec.html#L62C10"
          },
          {
            "label": "Camera_Target",
            "docHref": "docs/entities__components__camera_targets___spec.html#L25C10"
          },
          {
            "label": "Collidable",
            "docHref": "docs/entities__components__collidables___spec.html#L37C10"
          },
          {
            "label": "Emitter",
            "docHref": "docs/entities__components__emitters___spec.html#L25C10"
          },
          {
            "label": "Keen",
            "docHref": "docs/entities__components__keen4__keens___spec.html#L49C10"
          },
          {
            "label": "Light",
            "docHref": "docs/entities__components__lights___spec.html#L53C10"
          },
          {
            "label": "Little_Keen",
            "docHref": "docs/entities__components__keen4__little_keens___spec.html#L27C10"
          },
          {
            "label": "Location",
            "docHref": "docs/entities__components__locations___spec.html#L47C10"
          },
          {
            "label": "Map_Clipped",
            "docHref": "docs/entities__components__map_clipping___spec.html#L38C10",
            "inherited": [
              {
                "label": "Platform_Clipped",
                "docHref": "docs/entities__components__map_clipping__platform___spec.html#L24C10"
              },
              {
                "label": "Precise_Clipped",
                "docHref": "docs/entities__components__map_clipping__precise___spec.html#L23C10"
              }
            ]
          },
          {
            "label": "Movement",
            "docHref": "docs/entities__components__movements___spec.html#L54C10"
          },
          {
            "label": "Script",
            "docHref": "docs/entities__components__scripts___spec.html#L93C10"
          },
          {
            "label": "Solid",
            "docHref": "docs/entities__components__solids___spec.html#L55C10"
          },
          {
            "label": "Tile_Sensor",
            "docHref": "docs/entities__components__tile_sensors___spec.html#L37C10"
          },
          {
            "label": "Visible",
            "docHref": "docs/entities__components__visibles___spec.html#L36C10"
          }
        ]
      },
      {
        "label": "Connection",
        "docHref": "docs/signals___spec.html#L17C10",
        "inherited": [
          {
            "label": "Generic_Connection",
            "docHref": "docs/signals__connections___spec.html#L42C10"
          },
          {
            "label": "Generic_Widget_Connection",
            "docHref": "docs/signals__widgets__connections___spec.html#L58C10"
          },
          {
            "label": "Key_Connection",
            "docHref": "docs/signals__keys___spec.html#L14C10",
            "inherited": [
              {
                "label": "Generic_Key_Connection",
                "docHref": "docs/signals__keys__connections___spec.html#L70C10"
              }
            ]
          },
          {
            "label": "Mouse_Connection",
            "docHref": "docs/signals__mouse___spec.html#L26C10",
            "inherited": [
              {
                "label": "Button_Connection",
                "docHref": "docs/signals__mouse___spec.html#L54C10",
                "inherited": [
                  {
                    "label": "Generic_Button_Connection",
                    "docHref": "docs/signals__mouse__connections___spec.html#L128C10"
                  }
                ]
              },
              {
                "label": "Generic_Mouse_Connection",
                "docHref": "docs/signals__mouse__connections___spec.html#L111C10"
              },
              {
                "label": "Scroll_Connection",
                "docHref": "docs/signals__mouse___spec.html#L84C10",
                "inherited": [
                  {
                    "label": "Generic_Scroll_Connection",
                    "docHref": "docs/signals__mouse__connections___spec.html#L147C10"
                  }
                ]
              }
            ]
          },
          {
            "label": "String_Connection",
            "docHref": "docs/signals__simple___spec.html#L14C10"
          }
        ]
      },
      {
        "label": "Dialog_Desc",
        "docHref": "docs/events__keen___spec.html#L14C10"
      },
      {
        "label": "Event",
        "docHref": "docs/events___spec.html#L47C10",
        "inherited": [
          {
            "label": "Create_World_Event",
            "docHref": "docs/events__world___spec.html#L19C10"
          },
          {
            "label": "Dialog_Event",
            "docHref": "docs/events__keen___spec.html#L41C10"
          },
          {
            "label": "Dialog_Response_Event",
            "docHref": "docs/events__keen___spec.html#L57C10"
          },
          {
            "label": "End_Game_Event",
            "docHref": "docs/events__game___spec.html#L17C10"
          },
          {
            "label": "Entity_Event",
            "docHref": "docs/events__entities___spec.html#L25C10",
            "inherited": [
              {
                "label": "Entity_Attribute_Event",
                "docHref": "docs/events__entities___spec.html#L40C10"
              },
              {
                "label": "Entity_Directive_Event",
                "docHref": "docs/events__entities___spec.html#L200C10"
              },
              {
                "label": "Entity_Location_Event",
                "docHref": "docs/events__entities___spec.html#L55C10",
                "inherited": [
                  {
                    "label": "Entity_Moved_Event",
                    "docHref": "docs/events__entities___spec.html#L69C10"
                  }
                ]
              },
              {
                "label": "Entity_Size_Event",
                "docHref": "docs/events__entities___spec.html#L86C10",
                "inherited": [
                  {
                    "label": "Entity_Resized_Event",
                    "docHref": "docs/events__entities___spec.html#L100C10"
                  }
                ]
              },
              {
                "label": "Entity_Spawned_Event",
                "docHref": "docs/events__entities___spec.html#L114C10"
              },
              {
                "label": "Entity_Z_Event",
                "docHref": "docs/events__entities___spec.html#L187C10"
              },
              {
                "label": "Follow_Entity_Event",
                "docHref": "docs/events__entities___spec.html#L156C10"
              },
              {
                "label": "Frame_Changed_Event",
                "docHref": "docs/events__entities___spec.html#L176C10"
              },
              {
                "label": "Message_Entity_Event",
                "docHref": "docs/events__entities___spec.html#L214C10"
              }
            ]
          },
          {
            "label": "Game_Paused_Event",
            "docHref": "docs/events__game___spec.html#L27C10"
          },
          {
            "label": "Game_State_Event",
            "docHref": "docs/events__game___spec.html#L39C10"
          },
          {
            "label": "Game_Var_Changed_Event",
            "docHref": "docs/events__game___spec.html#L56C10"
          },
          {
            "label": "Key_Event",
            "docHref": "docs/events__input___spec.html#L21C10",
            "inherited": [
              {
                "label": "Key_Typed_Event",
                "docHref": "docs/events__input___spec.html#L33C10"
              }
            ]
          },
          {
            "label": "Layer_Event",
            "docHref": "docs/events__world___spec.html#L131C10",
            "inherited": [
              {
                "label": "Layer_Create_Event",
                "docHref": "docs/events__world___spec.html#L142C10",
                "inherited": [
                  {
                    "label": "Layer_Created_Event",
                    "docHref": "docs/events__world___spec.html#L166C10"
                  }
                ]
              },
              {
                "label": "Layer_Property_Event",
                "docHref": "docs/events__world___spec.html#L182C10"
              },
              {
                "label": "Layer_Swap_Event",
                "docHref": "docs/events__world___spec.html#L200C10"
              }
            ]
          },
          {
            "label": "Light_Event",
            "docHref": "docs/events__lighting___spec.html#L24C10"
          },
          {
            "label": "Load_World_Event",
            "docHref": "docs/events__world___spec.html#L43C10"
          },
          {
            "label": "Loading_Event",
            "docHref": "docs/events__game___spec.html#L72C10"
          },
          {
            "label": "Menu_Event",
            "docHref": "docs/events__application___spec.html#L33C10"
          },
          {
            "label": "Message_Event",
            "docHref": "docs/events__keen___spec.html#L70C10"
          },
          {
            "label": "Mouse_Event",
            "docHref": "docs/events__input___spec.html#L65C10",
            "inherited": [
              {
                "label": "Mouse_Button_Event",
                "docHref": "docs/events__input___spec.html#L111C10"
              },
              {
                "label": "Mouse_Scroll_Event",
                "docHref": "docs/events__input___spec.html#L85C10"
              }
            ]
          },
          {
            "label": "Particles_Event",
            "docHref": "docs/events__particles___spec.html#L24C10"
          },
          {
            "label": "Pause_Game_Event",
            "docHref": "docs/events__game___spec.html#L93C10"
          },
          {
            "label": "Play_Audio_Event",
            "docHref": "docs/events__audio___spec.html#L20C10"
          },
          {
            "label": "Resize_World_Event",
            "docHref": "docs/events__world___spec.html#L90C10"
          },
          {
            "label": "Script_Event",
            "docHref": "docs/events__game___spec.html#L113C10"
          },
          {
            "label": "Scroll_View_Event",
            "docHref": "docs/events__game___spec.html#L127C10"
          },
          {
            "label": "Spawn_Entity_Event",
            "docHref": "docs/events__entities___spec.html#L228C10"
          },
          {
            "label": "Tile_Event",
            "docHref": "docs/events__world___spec.html#L114C10"
          },
          {
            "label": "Window_Event",
            "docHref": "docs/events__application___spec.html#L47C10"
          },
          {
            "label": "World_Loaded_Event",
            "docHref": "docs/events__world___spec.html#L54C10"
          },
          {
            "label": "World_Property_Event",
            "docHref": "docs/events__world___spec.html#L76C10"
          }
        ]
      },
      {
        "label": "Light_Source",
        "docHref": "docs/lighting_systems___spec.html#L133C10",
        "inherited": [
          {
            "label": "Area_Light",
            "docHref": "docs/lighting_systems___spec.html#L191C10"
          },
          {
            "label": "Point_Light",
            "docHref": "docs/lighting_systems___spec.html#L168C10"
          }
        ]
      },
      {
        "label": "Map_Object",
        "docHref": "docs/maps___spec.html#L33C10"
      },
      {
        "label": "Session",
        "docHref": "docs/sessions___spec.html#L63C10",
        "inherited": [
          {
            "label": "Keen_Session",
            "docHref": "docs/sessions__keen___spec.html#L34C10"
          }
        ]
      },
      {
        "label": "Signal",
        "docHref": "docs/signals___spec.html#L19C10",
        "inherited": [
          {
            "label": "Key_Signal",
            "docHref": "docs/signals__keys___spec.html#L16C10"
          },
          {
            "label": "Mouse_Signal",
            "docHref": "docs/signals__mouse___spec.html#L38C10",
            "inherited": [
              {
                "label": "Button_Signal",
                "docHref": "docs/signals__mouse___spec.html#L66C10"
              },
              {
                "label": "Scroll_Signal",
                "docHref": "docs/signals__mouse___spec.html#L97C10"
              }
            ]
          },
          {
            "label": "String_Signal",
            "docHref": "docs/signals__simple___spec.html#L15C10"
          }
        ]
      },
      {
        "label": "World_Object",
        "docHref": "docs/worlds___spec.html#L90C10"
      }
    ]
  },
  {
    "label": "Parser",
    "docHref": "docs/widget_styles__parsers___spec.html#L51C10"
  },
  {
    "label": "Parser",
    "docHref": "docs/scribble__parsers___spec.html#L122C10"
  },
  {
    "label": "Process",
    "docHref": "docs/processes___spec.html#L25C10",
    "inherited": [
      {
        "label": "Animated",
        "docHref": "docs/widgets___spec.html#L53C10"
      }
    ]
  },
  {
    "label": "Property",
    "docHref": "docs/widget_style_properties___spec.html#L15C10"
  },
  {
    "label": "Reference_Counted",
    "docHref": "docs/reference_counting___spec.html#L16C10",
    "inherited": [
      {
        "label": "Arguments",
        "docHref": "docs/signals___spec.html#L21C10",
        "inherited": [
          {
            "label": "Widget_Arguments",
            "docHref": "docs/signals__widgets___spec.html#L15C10",
            "inherited": [
              {
                "label": "Key_Arguments",
                "docHref": "docs/signals__keys___spec.html#L18C10"
              },
              {
                "label": "Mouse_Arguments",
                "docHref": "docs/signals__mouse___spec.html#L18C10",
                "inherited": [
                  {
                    "label": "Button_Arguments",
                    "docHref": "docs/signals__mouse___spec.html#L45C10"
                  },
                  {
                    "label": "Scroll_Arguments",
                    "docHref": "docs/signals__mouse___spec.html#L76C10"
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        "label": "Encapsulated",
        "docHref": "docs/reference_counting___smart_pointers___spec.html#L26C14"
      }
    ]
  },
  {
    "label": "Resource_File",
    "docHref": "docs/resources___spec.html#L29C10"
  },
  {
    "label": "Root_Stream_Type",
    "docHref": "docs/root_stream_type___spec.html#L39C9",
    "inherited": [
      {
        "label": "Buffer_Stream",
        "docHref": "docs/streams__buffers___spec.html#L16C10"
      },
      {
        "label": "Root_Zipstream_Type",
        "docHref": "docs/zip_streams___spec.html#L56C9",
        "inherited": [
          {
            "label": "Array_Stream",
            "docHref": "docs/zip_streams__array_streams___spec.html#L13C10"
          },
          {
            "label": "File_Zipstream",
            "docHref": "docs/zip_streams___spec.html#L135C9",
            "inherited": [
              {
                "label": "ZipFile_Stream",
                "docHref": "docs/zip_streams___spec.html#L136C12"
              }
            ]
          },
          {
            "label": "Memory_Zipstream",
            "docHref": "docs/zip_streams___spec.html#L121C9",
            "inherited": [
              {
                "label": "Unbounded_Stream",
                "docHref": "docs/zip_streams___spec.html#L122C12"
              }
            ]
          }
        ]
      },
      {
        "label": "String_Stream",
        "docHref": "docs/scribble__string_streams___spec.html#L16C10"
      },
      {
        "label": "UnZip_Stream_Type",
        "docHref": "docs/unzip__streams___spec.html#L100C9"
      }
    ]
  },
  {
    "label": "Scanner",
    "docHref": "docs/scribble__scanners___spec.html#L16C10"
  },
  {
    "label": "Scribble_Compiler",
    "docHref": "docs/scribble__compilers___spec.html#L23C10"
  },
  {
    "label": "Scribble_Namespace",
    "docHref": "docs/scribble__namespaces___spec.html#L18C10",
    "inherited": [
      {
        "label": "Reserved_Namespace",
        "docHref": "docs/scribble__runtimes___spec.html#L200C10"
      },
      {
        "label": "Simple_Namespace",
        "docHref": "docs/scribble__namespaces__simple___spec.html#L16C10"
      }
    ]
  },
  {
    "label": "Scribble_Runtime",
    "docHref": "docs/scribble__runtimes___spec.html#L42C10"
  },
  {
    "label": "Scribble_VM",
    "docHref": "docs/scribble__vms___spec.html#L75C10"
  },
  {
    "label": "State",
    "docHref": "docs/entities__states___spec.html#L52C10",
    "inherited": [
      {
        "label": "Bored_State",
        "docHref": "docs/entities__components__keen4__little_keens__states___spec.html#L35C10"
      },
      {
        "label": "Clambering_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L261C10"
      },
      {
        "label": "Climbing_Shooting_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L225C10"
      },
      {
        "label": "Climbing_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L211C10"
      },
      {
        "label": "Dying_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L199C10"
      },
      {
        "label": "Global_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L35C10"
      },
      {
        "label": "Global_State",
        "docHref": "docs/entities__components__keen4__little_keens__states___spec.html#L21C10"
      },
      {
        "label": "Hanging_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L249C10"
      },
      {
        "label": "Idle_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L175C10"
      },
      {
        "label": "Looking_Back_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L146C10"
      },
      {
        "label": "Looking_Shooting_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L134C10"
      },
      {
        "label": "Looking_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L122C10"
      },
      {
        "label": "Moving_Shooting_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L110C10"
      },
      {
        "label": "Moving_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L46C10",
        "inherited": [
          {
            "label": "Pogoing_State",
            "docHref": "docs/entities__components__keen4__keens__states___spec.html#L95C10"
          }
        ]
      },
      {
        "label": "Rising_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L187C10"
      },
      {
        "label": "Switching_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L237C10"
      },
      {
        "label": "Teleporting_State",
        "docHref": "docs/entities__components__keen4__keens__states___spec.html#L158C10"
      },
      {
        "label": "Walking_State",
        "docHref": "docs/entities__components__keen4__little_keens__states___spec.html#L25C10"
      }
    ]
  },
  {
    "label": "Template",
    "docHref": "docs/entities__factory__templates___spec.html#L19C10"
  },
  {
    "label": "Thread",
    "docHref": "docs/scribble__vms___spec.html#L18C10"
  },
  {
    "label": "Token",
    "docHref": "docs/scribble__tokens___spec.html#L124C10",
    "inherited": [
      {
        "label": "Symbol_Token",
        "docHref": "docs/scribble__tokens___spec.html#L162C10"
      },
      {
        "label": "Value_Token",
        "docHref": "docs/scribble__tokens___spec.html#L172C10"
      }
    ]
  },
  {
    "label": "Tokenizer",
    "docHref": "docs/scribble__tokenizers___spec.html#L24C10"
  },
  {
    "label": "Unary_Operation",
    "docHref": "docs/values__operations___spec.html#L20C10",
    "inherited": [
      {
        "label": "Negate_Op",
        "docHref": "docs/values__operations___spec.html#L39C10"
      },
      {
        "label": "Not_Op",
        "docHref": "docs/values__operations___spec.html#L40C10"
      },
      {
        "label": "Operation",
        "docHref": "docs/values__operations___generic_unary___spec.html#L30C14"
      },
      {
        "label": "Sign_Op",
        "docHref": "docs/values__operations___spec.html#L41C10"
      }
    ]
  }
];