GNATdoc.EntitiesCategory = {
  "label": "Access Types",
  "entities": [
    {
      "label": "A_Ada_Function",
      "docHref": "docs/scribble__runtimes___spec.html#L20C10",
      "declared": "Scribble.Runtimes",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-runtimes.ads.html#L20"
    },
    {
      "label": "A_Allegro_Audio_Stream",
      "docHref": "docs/allegro__audio___spec.html#L111C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L111"
    },
    {
      "label": "A_Allegro_Audio_Stream_Loader",
      "docHref": "docs/allegro__audio___spec.html#L504C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L504"
    },
    {
      "label": "A_Allegro_Audio_Stream_Loader_f",
      "docHref": "docs/allegro__audio___spec.html#L513C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L513"
    },
    {
      "label": "A_Allegro_Bitmap",
      "docHref": "docs/allegro__bitmaps___spec.html#L18C10",
      "declared": "Allegro.Bitmaps",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps.ads.html#L18"
    },
    {
      "label": "A_Allegro_Config",
      "docHref": "docs/allegro__configuration___spec.html#L15C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L15"
    },
    {
      "label": "A_Allegro_Config_Entry",
      "docHref": "docs/allegro__configuration___spec.html#L21C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L21"
    },
    {
      "label": "A_Allegro_Config_Section",
      "docHref": "docs/allegro__configuration___spec.html#L18C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L18"
    },
    {
      "label": "A_Allegro_Display",
      "docHref": "docs/allegro__displays___spec.html#L17C10",
      "declared": "Allegro.Displays",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-displays.ads.html#L17"
    },
    {
      "label": "A_Allegro_Event_Queue",
      "docHref": "docs/allegro__events___spec.html#L203C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L203"
    },
    {
      "label": "A_Allegro_Event_Source",
      "docHref": "docs/allegro___spec.html#L15C10",
      "declared": "Allegro",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro.ads.html#L15"
    },
    {
      "label": "A_Allegro_File",
      "docHref": "docs/allegro__file_io___spec.html#L20C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L20"
    },
    {
      "label": "A_Allegro_File_Interface",
      "docHref": "docs/allegro__file_io___spec.html#L70C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L70"
    },
    {
      "label": "A_Allegro_Filechooser",
      "docHref": "docs/allegro__native_dialogs___spec.html#L29C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L29"
    },
    {
      "label": "A_Allegro_Font",
      "docHref": "docs/allegro__fonts___spec.html#L32C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L32"
    },
    {
      "label": "A_Allegro_Index_Buffer",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L482C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L482"
    },
    {
      "label": "A_Allegro_Joystick",
      "docHref": "docs/allegro__joystick___spec.html#L15C10",
      "declared": "Allegro.Joystick",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-joystick.ads.html#L15"
    },
    {
      "label": "A_Allegro_Keyboard",
      "docHref": "docs/allegro__keyboard___spec.html#L191C10",
      "declared": "Allegro.Keyboard",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-keyboard.ads.html#L191"
    },
    {
      "label": "A_Allegro_Locked_Region",
      "docHref": "docs/allegro__bitmaps__locking___spec.html#L27C10",
      "declared": "Allegro.Bitmaps.Locking",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-locking.ads.html#L27"
    },
    {
      "label": "A_Allegro_Memory_Interface",
      "docHref": "docs/allegro__memory___spec.html#L36C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L36"
    },
    {
      "label": "A_Allegro_Menu",
      "docHref": "docs/allegro__native_dialogs___spec.html#L132C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L132"
    },
    {
      "label": "A_Allegro_Menu_Info",
      "docHref": "docs/allegro__native_dialogs___spec.html#L114C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L114"
    },
    {
      "label": "A_Allegro_Mixer",
      "docHref": "docs/allegro__audio___spec.html#L67C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L67"
    },
    {
      "label": "A_Allegro_Mouse",
      "docHref": "docs/allegro__mouse___spec.html#L16C10",
      "declared": "Allegro.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse.ads.html#L16"
    },
    {
      "label": "A_Allegro_Mouse_Cursor",
      "docHref": "docs/allegro__mouse__cursors___spec.html#L15C10",
      "declared": "Allegro.Mouse.Cursors",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse-cursors.ads.html#L15"
    },
    {
      "label": "A_Allegro_Path",
      "docHref": "docs/allegro__paths___spec.html#L17C10",
      "declared": "Allegro.Paths",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-paths.ads.html#L17"
    },
    {
      "label": "A_Allegro_Sample",
      "docHref": "docs/allegro__audio___spec.html#L105C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L105"
    },
    {
      "label": "A_Allegro_Sample_Instance",
      "docHref": "docs/allegro__audio___spec.html#L108C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L108"
    },
    {
      "label": "A_Allegro_Sample_Loader",
      "docHref": "docs/allegro__audio___spec.html#L476C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L476"
    },
    {
      "label": "A_Allegro_Sample_Loader_f",
      "docHref": "docs/allegro__audio___spec.html#L483C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L483"
    },
    {
      "label": "A_Allegro_Sample_Saver",
      "docHref": "docs/allegro__audio___spec.html#L490C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L490"
    },
    {
      "label": "A_Allegro_Sample_Saver_f",
      "docHref": "docs/allegro__audio___spec.html#L497C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L497"
    },
    {
      "label": "A_Allegro_Shader",
      "docHref": "docs/allegro__shaders___spec.html#L17C10",
      "declared": "Allegro.Shaders",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-shaders.ads.html#L17"
    },
    {
      "label": "A_Allegro_State",
      "docHref": "docs/allegro__state___spec.html#L15C10",
      "declared": "Allegro.State",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-state.ads.html#L15"
    },
    {
      "label": "A_Allegro_Textlog",
      "docHref": "docs/allegro__native_dialogs___spec.html#L83C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L83"
    },
    {
      "label": "A_Allegro_Timer",
      "docHref": "docs/allegro__timers___spec.html#L15C10",
      "declared": "Allegro.Timers",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-timers.ads.html#L15"
    },
    {
      "label": "A_Allegro_Touch_Input",
      "docHref": "docs/allegro__touch_input___spec.html#L15C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L15"
    },
    {
      "label": "A_Allegro_Touch_Input_State",
      "docHref": "docs/allegro__touch_input___spec.html#L37C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L37"
    },
    {
      "label": "A_Allegro_Touch_State",
      "docHref": "docs/allegro__touch_input___spec.html#L28C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L28"
    },
    {
      "label": "A_Allegro_User_Event",
      "docHref": "docs/allegro__events___spec.html#L161C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L161"
    },
    {
      "label": "A_Allegro_Ustr",
      "docHref": "docs/allegro__utf8___spec.html#L25C10",
      "declared": "Allegro.UTF8",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-utf8.ads.html#L25"
    },
    {
      "label": "A_Allegro_Ustr_Info",
      "docHref": "docs/allegro__utf8___spec.html#L33C10",
      "declared": "Allegro.UTF8",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-utf8.ads.html#L33"
    },
    {
      "label": "A_Allegro_Vertex_Array",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L290C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L290"
    },
    {
      "label": "A_Allegro_Vertex_Buffer",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L424C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L424"
    },
    {
      "label": "A_Allegro_Vertex_Decl",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L343C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L343"
    },
    {
      "label": "A_Allegro_Vertex_Element_Array",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L340C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L340"
    },
    {
      "label": "A_Allegro_Voice",
      "docHref": "docs/allegro__audio___spec.html#L114C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L114"
    },
    {
      "label": "A_Anchor",
      "docHref": "docs/widgets___spec.html#L60C10",
      "declared": "Widgets",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets.ads.html#L60"
    },
    {
      "label": "A_Animation",
      "docHref": "docs/entities__components__animations___spec.html#L30C10",
      "declared": "Entities.Components.Animations",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-animations.ads.html#L30"
    },
    {
      "label": "A_Application",
      "docHref": "docs/applications___spec.html#L18C10",
      "declared": "Applications",
      "declared_qualifier": "",
      "srcHref": "srcs/applications.ads.html#L18"
    },
    {
      "label": "A_Archive",
      "docHref": "docs/resources__archives___spec.html#L21C10",
      "declared": "Resources.Archives",
      "declared_qualifier": "",
      "srcHref": "srcs/resources-archives.ads.html#L21"
    },
    {
      "label": "A_Archive_Loader",
      "docHref": "docs/resources__archives___spec.html#L63C10",
      "declared": "Resources.Archives",
      "declared_qualifier": "",
      "srcHref": "srcs/resources-archives.ads.html#L63"
    },
    {
      "label": "A_Array_Stream",
      "docHref": "docs/zip_streams__array_streams___spec.html#L14C10",
      "declared": "Zip_Streams.Array_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams-array_streams.ads.html#L14"
    },
    {
      "label": "A_Ast_Assign",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L178C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L178"
    },
    {
      "label": "A_Ast_Binary_Op",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L109C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L109"
    },
    {
      "label": "A_Ast_Block",
      "docHref": "docs/scribble__ast__statements___spec.html#L69C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L69"
    },
    {
      "label": "A_Ast_Builtin",
      "docHref": "docs/scribble__ast__expressions___spec.html#L55C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L55"
    },
    {
      "label": "A_Ast_Conditional",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L260C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L260"
    },
    {
      "label": "A_Ast_Exit",
      "docHref": "docs/scribble__ast__statements___spec.html#L211C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L211"
    },
    {
      "label": "A_Ast_Expression",
      "docHref": "docs/scribble__ast__expressions___spec.html#L31C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L31"
    },
    {
      "label": "A_Ast_Expression_Statement",
      "docHref": "docs/scribble__ast__statements___spec.html#L232C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L232"
    },
    {
      "label": "A_Ast_Function_Call",
      "docHref": "docs/scribble__ast__expressions___spec.html#L81C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L81"
    },
    {
      "label": "A_Ast_Function_Definition",
      "docHref": "docs/scribble__ast__functions___spec.html#L39C10",
      "declared": "Scribble.Ast.Functions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-functions.ads.html#L39"
    },
    {
      "label": "A_Ast_Identifier",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L35C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L35"
    },
    {
      "label": "A_Ast_If",
      "docHref": "docs/scribble__ast__statements___spec.html#L263C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L263"
    },
    {
      "label": "A_Ast_Index",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L228C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L228"
    },
    {
      "label": "A_Ast_List",
      "docHref": "docs/scribble__ast__expressions___spec.html#L158C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L158"
    },
    {
      "label": "A_Ast_Literal",
      "docHref": "docs/scribble__ast__expressions___spec.html#L195C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L195"
    },
    {
      "label": "A_Ast_Loop",
      "docHref": "docs/scribble__ast__statements___spec.html#L329C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L329"
    },
    {
      "label": "A_Ast_Map",
      "docHref": "docs/scribble__ast__expressions___spec.html#L217C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L217"
    },
    {
      "label": "A_Ast_Member_Call",
      "docHref": "docs/scribble__ast__expressions___spec.html#L129C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L129"
    },
    {
      "label": "A_Ast_Membership",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L88C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L88"
    },
    {
      "label": "A_Ast_Name_Expr",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L127C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L127"
    },
    {
      "label": "A_Ast_Node",
      "docHref": "docs/scribble__ast___spec.html#L65C10",
      "declared": "Scribble.Ast",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast.ads.html#L65"
    },
    {
      "label": "A_Ast_Processor",
      "docHref": "docs/scribble__ast__processors___spec.html#L25C10",
      "declared": "Scribble.Ast.Processors",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-processors.ads.html#L25"
    },
    {
      "label": "A_Ast_Reference",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L78C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L78"
    },
    {
      "label": "A_Ast_Return",
      "docHref": "docs/scribble__ast__statements___spec.html#L369C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L369"
    },
    {
      "label": "A_Ast_Self",
      "docHref": "docs/scribble__ast__expressions___spec.html#L273C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L273"
    },
    {
      "label": "A_Ast_Statement",
      "docHref": "docs/scribble__ast__statements___spec.html#L24C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L24"
    },
    {
      "label": "A_Ast_Symbol",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L14C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L14"
    },
    {
      "label": "A_Ast_This",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L69C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L69"
    },
    {
      "label": "A_Ast_Unary_Op",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L24C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L24"
    },
    {
      "label": "A_Ast_Var",
      "docHref": "docs/scribble__ast__statements___spec.html#L399C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L399"
    },
    {
      "label": "A_Atlas",
      "docHref": "docs/tiles__atlases___spec.html#L17C10",
      "declared": "Tiles.Atlases",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-atlases.ads.html#L17"
    },
    {
      "label": "A_Attributes",
      "docHref": "docs/entities__components__entity_attributes___spec.html#L63C10",
      "declared": "Entities.Components.Entity_Attributes",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-entity_attributes.ads.html#L63"
    },
    {
      "label": "A_Audio_Player",
      "docHref": "docs/audio_players___spec.html#L27C10",
      "declared": "Audio_Players",
      "declared_qualifier": "",
      "srcHref": "srcs/audio_players.ads.html#L27"
    },
    {
      "label": "A_Bin",
      "docHref": "docs/bin_packing___spec.html#L27C10",
      "declared": "Bin_Packing",
      "declared_qualifier": "",
      "srcHref": "srcs/bin_packing.ads.html#L27"
    },
    {
      "label": "A_Binary_Function",
      "docHref": "docs/values__operations___spec.html#L45C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L45"
    },
    {
      "label": "A_Buffer_Stream",
      "docHref": "docs/streams__buffers___spec.html#L17C10",
      "declared": "Streams.Buffers",
      "declared_qualifier": "",
      "srcHref": "srcs/streams-buffers.ads.html#L17"
    },
    {
      "label": "A_Button",
      "docHref": "docs/widgets__buttons___spec.html#L20C10",
      "declared": "Widgets.Buttons",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-buttons.ads.html#L20"
    },
    {
      "label": "A_Camera_Target",
      "docHref": "docs/entities__components__camera_targets___spec.html#L26C10",
      "declared": "Entities.Components.Camera_Targets",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-camera_targets.ads.html#L26"
    },
    {
      "label": "A_Catalog",
      "docHref": "docs/tiles__catalogs___spec.html#L24C10",
      "declared": "Tiles.Catalogs",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-catalogs.ads.html#L24"
    },
    {
      "label": "A_Code_Generator",
      "docHref": "docs/scribble__code_generators___spec.html#L34C10",
      "declared": "Scribble.Code_Generators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-code_generators.ads.html#L34"
    },
    {
      "label": "A_Collidable",
      "docHref": "docs/entities__components__collidables___spec.html#L38C10",
      "declared": "Entities.Components.Collidables",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-collidables.ads.html#L38"
    },
    {
      "label": "A_Component",
      "docHref": "docs/entities___spec.html#L68C10",
      "declared": "Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/entities.ads.html#L68"
    },
    {
      "label": "A_Component_System",
      "docHref": "docs/entities__systems___spec.html#L62C10",
      "declared": "Entities.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-systems.ads.html#L62"
    },
    {
      "label": "A_Constrain_Func",
      "docHref": "docs/widgets__input_boxes___spec.html#L16C10",
      "declared": "Widgets.Input_Boxes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-input_boxes.ads.html#L16"
    },
    {
      "label": "A_Corral",
      "docHref": "docs/events__corrals___spec.html#L33C10",
      "declared": "Events.Corrals",
      "declared_qualifier": "",
      "srcHref": "srcs/events-corrals.ads.html#L33"
    },
    {
      "label": "A_Create_World_Event",
      "docHref": "docs/events__world___spec.html#L20C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L20"
    },
    {
      "label": "A_Debug_Info",
      "docHref": "docs/scribble__debugging___spec.html#L49C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L49"
    },
    {
      "label": "A_Definition",
      "docHref": "docs/entities__factory__definitions___spec.html#L21C10",
      "declared": "Entities.Factory.Definitions",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-factory-definitions.ads.html#L21"
    },
    {
      "label": "A_Destructor",
      "docHref": "docs/processes__managers___spec.html#L47C10",
      "declared": "Processes.Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/processes-managers.ads.html#L47"
    },
    {
      "label": "A_Dialog_Desc",
      "docHref": "docs/events__keen___spec.html#L15C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L15"
    },
    {
      "label": "A_Dialog_Event",
      "docHref": "docs/events__keen___spec.html#L42C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L42"
    },
    {
      "label": "A_Dialog_Response_Event",
      "docHref": "docs/events__keen___spec.html#L58C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L58"
    },
    {
      "label": "A_Emitter",
      "docHref": "docs/entities__components__emitters___spec.html#L26C10",
      "declared": "Entities.Components.Emitters",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-emitters.ads.html#L26"
    },
    {
      "label": "A_Emitter",
      "docHref": "docs/particles___spec.html#L82C10",
      "declared": "Particles",
      "declared_qualifier": "",
      "srcHref": "srcs/particles.ads.html#L82"
    },
    {
      "label": "A_Encapsulated",
      "docHref": "docs/reference_counting___smart_pointers___spec.html#L29C14",
      "declared": "Reference_Counting.Smart_Pointers",
      "declared_qualifier": "",
      "srcHref": "srcs/reference_counting.ads.html#L29"
    },
    {
      "label": "A_End_Game_Event",
      "docHref": "docs/events__game___spec.html#L18C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L18"
    },
    {
      "label": "A_Entity",
      "docHref": "docs/entities___spec.html#L54C10",
      "declared": "Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/entities.ads.html#L54"
    },
    {
      "label": "A_Entity_Attribute_Event",
      "docHref": "docs/events__entities___spec.html#L41C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L41"
    },
    {
      "label": "A_Entity_Directive_Event",
      "docHref": "docs/events__entities___spec.html#L201C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L201"
    },
    {
      "label": "A_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L26C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L26"
    },
    {
      "label": "A_Entity_Location_Event",
      "docHref": "docs/events__entities___spec.html#L56C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L56"
    },
    {
      "label": "A_Entity_Map",
      "docHref": "docs/worlds___spec.html#L37C10",
      "declared": "Worlds",
      "declared_qualifier": "",
      "srcHref": "srcs/worlds.ads.html#L37"
    },
    {
      "label": "A_Entity_Moved_Event",
      "docHref": "docs/events__entities___spec.html#L70C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L70"
    },
    {
      "label": "A_Entity_Resized_Event",
      "docHref": "docs/events__entities___spec.html#L101C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L101"
    },
    {
      "label": "A_Entity_Size_Event",
      "docHref": "docs/events__entities___spec.html#L87C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L87"
    },
    {
      "label": "A_Entity_Spawned_Event",
      "docHref": "docs/events__entities___spec.html#L115C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L115"
    },
    {
      "label": "A_Entity_System",
      "docHref": "docs/entities__systems___spec.html#L50C10",
      "declared": "Entities.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-systems.ads.html#L50"
    },
    {
      "label": "A_Entity_Z_Event",
      "docHref": "docs/events__entities___spec.html#L188C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L188"
    },
    {
      "label": "A_Event",
      "docHref": "docs/events___spec.html#L48C10",
      "declared": "Events",
      "declared_qualifier": "",
      "srcHref": "srcs/events.ads.html#L48"
    },
    {
      "label": "A_Event_Listener",
      "docHref": "docs/events__listeners___spec.html#L15C10",
      "declared": "Events.Listeners",
      "declared_qualifier": "",
      "srcHref": "srcs/events-listeners.ads.html#L15"
    },
    {
      "label": "A_Event_Manager",
      "docHref": "docs/events__manager___spec.html#L21C10",
      "declared": "Events.Manager",
      "declared_qualifier": "",
      "srcHref": "srcs/events-manager.ads.html#L21"
    },
    {
      "label": "A_Explicit_Reader",
      "docHref": "docs/values__indirects___generics___spec.html#L29C14",
      "declared": "Values.Indirects.Generics",
      "declared_qualifier": "",
      "srcHref": "srcs/values-indirects.ads.html#L29"
    },
    {
      "label": "A_Explicit_Writer",
      "docHref": "docs/values__indirects___generics___spec.html#L35C14",
      "declared": "Values.Indirects.Generics",
      "declared_qualifier": "",
      "srcHref": "srcs/values-indirects.ads.html#L35"
    },
    {
      "label": "A_Follow_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L157C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L157"
    },
    {
      "label": "A_Font",
      "docHref": "docs/fonts___spec.html#L20C10",
      "declared": "Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/fonts.ads.html#L20"
    },
    {
      "label": "A_Frame_Changed_Event",
      "docHref": "docs/events__entities___spec.html#L177C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L177"
    },
    {
      "label": "A_Func_Name_Array",
      "docHref": "docs/scribble__debugging___spec.html#L37C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L37"
    },
    {
      "label": "A_Game",
      "docHref": "docs/games___spec.html#L30C10",
      "declared": "Games",
      "declared_qualifier": "",
      "srcHref": "srcs/games.ads.html#L30"
    },
    {
      "label": "A_Game_Application",
      "docHref": "docs/applications__gui__games___spec.html#L18C10",
      "declared": "Applications.Gui.Games",
      "declared_qualifier": "",
      "srcHref": "srcs/applications-gui-games.ads.html#L18"
    },
    {
      "label": "A_Game_Paused_Event",
      "docHref": "docs/events__game___spec.html#L28C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L28"
    },
    {
      "label": "A_Game_Screen",
      "docHref": "docs/widgets__game_screens___spec.html#L27C10",
      "declared": "Widgets.Game_Screens",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens.ads.html#L27"
    },
    {
      "label": "A_Game_State_Event",
      "docHref": "docs/events__game___spec.html#L40C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L40"
    },
    {
      "label": "A_Game_Var_Changed_Event",
      "docHref": "docs/events__game___spec.html#L57C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L57"
    },
    {
      "label": "A_Game_View",
      "docHref": "docs/game_views___spec.html#L41C10",
      "declared": "Game_Views",
      "declared_qualifier": "",
      "srcHref": "srcs/game_views.ads.html#L41"
    },
    {
      "label": "A_Gui_Application",
      "docHref": "docs/applications__gui___spec.html#L16C10",
      "declared": "Applications.Gui",
      "declared_qualifier": "",
      "srcHref": "srcs/applications-gui.ads.html#L16"
    },
    {
      "label": "A_Implicit_Reader",
      "docHref": "docs/values__indirects___generics___spec.html#L18C14",
      "declared": "Values.Indirects.Generics",
      "declared_qualifier": "",
      "srcHref": "srcs/values-indirects.ads.html#L18"
    },
    {
      "label": "A_Implicit_Writer",
      "docHref": "docs/values__indirects___generics___spec.html#L24C14",
      "declared": "Values.Indirects.Generics",
      "declared_qualifier": "",
      "srcHref": "srcs/values-indirects.ads.html#L24"
    },
    {
      "label": "A_Input_Box",
      "docHref": "docs/widgets__input_boxes___spec.html#L25C10",
      "declared": "Widgets.Input_Boxes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-input_boxes.ads.html#L25"
    },
    {
      "label": "A_Input_Handler",
      "docHref": "docs/input_handlers___spec.html#L23C10",
      "declared": "Input_Handlers",
      "declared_qualifier": "",
      "srcHref": "srcs/input_handlers.ads.html#L23"
    },
    {
      "label": "A_Integer_Array",
      "docHref": "docs/scribble__debugging___spec.html#L15C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L15"
    },
    {
      "label": "A_Joystick_State",
      "docHref": "docs/allegro__joystick___spec.html#L44C10",
      "declared": "Allegro.Joystick",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-joystick.ads.html#L44"
    },
    {
      "label": "A_Keen",
      "docHref": "docs/entities__components__keen4__keens___spec.html#L50C10",
      "declared": "Entities.Components.Keen4.Keens",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-keen4-keens.ads.html#L50"
    },
    {
      "label": "A_Keen_View",
      "docHref": "docs/game_views__keen___spec.html#L15C10",
      "declared": "Game_Views.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/game_views-keen.ads.html#L15"
    },
    {
      "label": "A_Key_Event",
      "docHref": "docs/events__input___spec.html#L22C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L22"
    },
    {
      "label": "A_Key_Typed_Event",
      "docHref": "docs/events__input___spec.html#L34C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L34"
    },
    {
      "label": "A_Label",
      "docHref": "docs/widgets__labels___spec.html#L16C10",
      "declared": "Widgets.Labels",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-labels.ads.html#L16"
    },
    {
      "label": "A_Layer_Create_Event",
      "docHref": "docs/events__world___spec.html#L143C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L143"
    },
    {
      "label": "A_Layer_Created_Event",
      "docHref": "docs/events__world___spec.html#L167C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L167"
    },
    {
      "label": "A_Layer_Event",
      "docHref": "docs/events__world___spec.html#L132C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L132"
    },
    {
      "label": "A_Layer_Property_Event",
      "docHref": "docs/events__world___spec.html#L183C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L183"
    },
    {
      "label": "A_Layer_Swap_Event",
      "docHref": "docs/events__world___spec.html#L201C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L201"
    },
    {
      "label": "A_Light",
      "docHref": "docs/entities__components__lights___spec.html#L54C10",
      "declared": "Entities.Components.Lights",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-lights.ads.html#L54"
    },
    {
      "label": "A_Light_Event",
      "docHref": "docs/events__lighting___spec.html#L25C10",
      "declared": "Events.Lighting",
      "declared_qualifier": "",
      "srcHref": "srcs/events-lighting.ads.html#L25"
    },
    {
      "label": "A_Lighting_System",
      "docHref": "docs/lighting_systems___spec.html#L35C10",
      "declared": "Lighting_Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/lighting_systems.ads.html#L35"
    },
    {
      "label": "A_Limited_Object",
      "docHref": "docs/objects___spec.html#L89C10",
      "declared": "Objects",
      "declared_qualifier": "",
      "srcHref": "srcs/objects.ads.html#L89"
    },
    {
      "label": "A_Little_Keen",
      "docHref": "docs/entities__components__keen4__little_keens___spec.html#L28C10",
      "declared": "Entities.Components.Keen4.Little_Keens",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-keen4-little_keens.ads.html#L28"
    },
    {
      "label": "A_Load_World_Event",
      "docHref": "docs/events__world___spec.html#L44C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L44"
    },
    {
      "label": "A_Loader_Proc",
      "docHref": "docs/allegro__fonts___spec.html#L42C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L42"
    },
    {
      "label": "A_Loading_Event",
      "docHref": "docs/events__game___spec.html#L73C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L73"
    },
    {
      "label": "A_Location",
      "docHref": "docs/entities__components__locations___spec.html#L48C10",
      "declared": "Entities.Components.Locations",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-locations.ads.html#L48"
    },
    {
      "label": "A_Map",
      "docHref": "docs/maps___spec.html#L34C10",
      "declared": "Maps",
      "declared_qualifier": "",
      "srcHref": "srcs/maps.ads.html#L34"
    },
    {
      "label": "A_Map_Clipped",
      "docHref": "docs/entities__components__map_clipping___spec.html#L39C10",
      "declared": "Entities.Components.Map_Clipping",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping.ads.html#L39"
    },
    {
      "label": "A_Menu_Enumeration",
      "docHref": "docs/widgets__menu_enumerations___spec.html#L19C10",
      "declared": "Widgets.Menu_Enumerations",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_enumerations.ads.html#L19"
    },
    {
      "label": "A_Menu_Event",
      "docHref": "docs/events__application___spec.html#L34C10",
      "declared": "Events.Application",
      "declared_qualifier": "",
      "srcHref": "srcs/events-application.ads.html#L34"
    },
    {
      "label": "A_Menu_Item",
      "docHref": "docs/widgets__menu_items___spec.html#L18C10",
      "declared": "Widgets.Menu_Items",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_items.ads.html#L18"
    },
    {
      "label": "A_Menubar",
      "docHref": "docs/widgets__menubars___spec.html#L18C10",
      "declared": "Widgets.Menubars",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menubars.ads.html#L18"
    },
    {
      "label": "A_Message_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L215C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L215"
    },
    {
      "label": "A_Message_Event",
      "docHref": "docs/events__keen___spec.html#L71C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L71"
    },
    {
      "label": "A_Method0",
      "docHref": "docs/signals__connections___spec.html#L15C10",
      "declared": "Signals.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-connections.ads.html#L15"
    },
    {
      "label": "A_Method0",
      "docHref": "docs/signals__keys__connections___spec.html#L15C10",
      "declared": "Signals.Keys.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys-connections.ads.html#L15"
    },
    {
      "label": "A_Method0",
      "docHref": "docs/signals__mouse__connections___spec.html#L37C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L37"
    },
    {
      "label": "A_Method0",
      "docHref": "docs/signals__widgets__connections___spec.html#L15C10",
      "declared": "Signals.Widgets.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-widgets-connections.ads.html#L15"
    },
    {
      "label": "A_Method1",
      "docHref": "docs/signals__connections___spec.html#L18C10",
      "declared": "Signals.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-connections.ads.html#L18"
    },
    {
      "label": "A_Method1",
      "docHref": "docs/signals__keys__connections___spec.html#L18C10",
      "declared": "Signals.Keys.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys-connections.ads.html#L18"
    },
    {
      "label": "A_Method1",
      "docHref": "docs/signals__mouse__connections___spec.html#L18C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L18"
    },
    {
      "label": "A_Method1",
      "docHref": "docs/signals__widgets__connections___spec.html#L18C10",
      "declared": "Signals.Widgets.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-widgets-connections.ads.html#L18"
    },
    {
      "label": "A_Method2",
      "docHref": "docs/signals__keys__connections___spec.html#L22C10",
      "declared": "Signals.Keys.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys-connections.ads.html#L22"
    },
    {
      "label": "A_Method2",
      "docHref": "docs/signals__mouse__connections___spec.html#L40C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L40"
    },
    {
      "label": "A_Method2",
      "docHref": "docs/signals__widgets__connections___spec.html#L22C10",
      "declared": "Signals.Widgets.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-widgets-connections.ads.html#L22"
    },
    {
      "label": "A_Method3",
      "docHref": "docs/signals__mouse__connections___spec.html#L44C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L44"
    },
    {
      "label": "A_Method4",
      "docHref": "docs/signals__mouse__connections___spec.html#L95C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L95"
    },
    {
      "label": "A_Mixer_Postprocess_Callback",
      "docHref": "docs/allegro__audio___spec.html#L365C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L365"
    },
    {
      "label": "A_Mouse_Button_Event",
      "docHref": "docs/events__input___spec.html#L112C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L112"
    },
    {
      "label": "A_Mouse_Cursor",
      "docHref": "docs/mouse__cursors___spec.html#L16C10",
      "declared": "Mouse.Cursors",
      "declared_qualifier": "",
      "srcHref": "srcs/mouse-cursors.ads.html#L16"
    },
    {
      "label": "A_Mouse_Event",
      "docHref": "docs/events__input___spec.html#L66C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L66"
    },
    {
      "label": "A_Mouse_Scroll_Event",
      "docHref": "docs/events__input___spec.html#L86C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L86"
    },
    {
      "label": "A_Mouse_State",
      "docHref": "docs/allegro__mouse___spec.html#L31C10",
      "declared": "Allegro.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse.ads.html#L31"
    },
    {
      "label": "A_Movement",
      "docHref": "docs/entities__components__movements___spec.html#L55C10",
      "declared": "Entities.Components.Movements",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-movements.ads.html#L55"
    },
    {
      "label": "A_Mutex",
      "docHref": "docs/mutexes___spec.html#L35C10",
      "declared": "Mutexes",
      "declared_qualifier": "",
      "srcHref": "srcs/mutexes.ads.html#L35"
    },
    {
      "label": "A_Node",
      "docHref": "docs/quad_trees___spec.html#L118C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L118"
    },
    {
      "label": "A_Node_Array",
      "docHref": "docs/quad_trees___spec.html#L121C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L121"
    },
    {
      "label": "A_Object",
      "docHref": "docs/objects___spec.html#L19C10",
      "declared": "Objects",
      "declared_qualifier": "",
      "srcHref": "srcs/objects.ads.html#L19"
    },
    {
      "label": "A_Opcode_Array",
      "docHref": "docs/scribble__opcodes___spec.html#L217C10",
      "declared": "Scribble.Opcodes",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-opcodes.ads.html#L217"
    },
    {
      "label": "A_Output_Proc",
      "docHref": "docs/scribble__vms___spec.html#L101C10",
      "declared": "Scribble.VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-vms.ads.html#L101"
    },
    {
      "label": "A_Paddle_War",
      "docHref": "docs/widgets__paddle_wars___spec.html#L18C10",
      "declared": "Widgets.Paddle_Wars",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-paddle_wars.ads.html#L18"
    },
    {
      "label": "A_Panel",
      "docHref": "docs/widgets__panels___spec.html#L19C10",
      "declared": "Widgets.Panels",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-panels.ads.html#L19"
    },
    {
      "label": "A_Parser",
      "docHref": "docs/widget_styles__parsers___spec.html#L52C10",
      "declared": "Widget_Styles.Parsers",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles-parsers.ads.html#L52"
    },
    {
      "label": "A_Parser",
      "docHref": "docs/scribble__parsers___spec.html#L123C10",
      "declared": "Scribble.Parsers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-parsers.ads.html#L123"
    },
    {
      "label": "A_Particle_System",
      "docHref": "docs/particles__systems___spec.html#L31C10",
      "declared": "Particles.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/particles-systems.ads.html#L31"
    },
    {
      "label": "A_Particles_Event",
      "docHref": "docs/events__particles___spec.html#L25C10",
      "declared": "Events.Particles",
      "declared_qualifier": "",
      "srcHref": "srcs/events-particles.ads.html#L25"
    },
    {
      "label": "A_Pause_Game_Event",
      "docHref": "docs/events__game___spec.html#L94C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L94"
    },
    {
      "label": "A_Platform_Clipped",
      "docHref": "docs/entities__components__map_clipping__platform___spec.html#L25C10",
      "declared": "Entities.Components.Map_Clipping.Platform",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping-platform.ads.html#L25"
    },
    {
      "label": "A_Play_Audio_Event",
      "docHref": "docs/events__audio___spec.html#L21C10",
      "declared": "Events.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/events-audio.ads.html#L21"
    },
    {
      "label": "A_Precise_Clipped",
      "docHref": "docs/entities__components__map_clipping__precise___spec.html#L24C10",
      "declared": "Entities.Components.Map_Clipping.Precise",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping-precise.ads.html#L24"
    },
    {
      "label": "A_Process",
      "docHref": "docs/processes___spec.html#L26C10",
      "declared": "Processes",
      "declared_qualifier": "",
      "srcHref": "srcs/processes.ads.html#L26"
    },
    {
      "label": "A_Process_Manager",
      "docHref": "docs/processes__managers___spec.html#L44C10",
      "declared": "Processes.Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/processes-managers.ads.html#L44"
    },
    {
      "label": "A_Progress_Board",
      "docHref": "docs/widgets__progress_boards___spec.html#L12C10",
      "declared": "Widgets.Progress_Boards",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-progress_boards.ads.html#L12"
    },
    {
      "label": "A_Prop_Type_Array",
      "docHref": "docs/widget_style_properties___spec.html#L53C10",
      "declared": "Widget_Style_Properties",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_style_properties.ads.html#L53"
    },
    {
      "label": "A_Push_Button",
      "docHref": "docs/widgets__buttons__pushes___spec.html#L18C10",
      "declared": "Widgets.Buttons.Pushes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-buttons-pushes.ads.html#L18"
    },
    {
      "label": "A_Reference_Counted",
      "docHref": "docs/reference_counting___spec.html#L18C10",
      "declared": "Reference_Counting",
      "declared_qualifier": "",
      "srcHref": "srcs/reference_counting.ads.html#L18"
    },
    {
      "label": "A_Renderer",
      "docHref": "docs/renderers___spec.html#L23C10",
      "declared": "Renderers",
      "declared_qualifier": "",
      "srcHref": "srcs/renderers.ads.html#L23"
    },
    {
      "label": "A_Resize_World_Event",
      "docHref": "docs/events__world___spec.html#L91C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L91"
    },
    {
      "label": "A_Resource_File",
      "docHref": "docs/resources___spec.html#L30C10",
      "declared": "Resources",
      "declared_qualifier": "",
      "srcHref": "srcs/resources.ads.html#L30"
    },
    {
      "label": "A_Scanner",
      "docHref": "docs/scribble__scanners___spec.html#L17C10",
      "declared": "Scribble.Scanners",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-scanners.ads.html#L17"
    },
    {
      "label": "A_Scene",
      "docHref": "docs/widgets__scenes___spec.html#L38C10",
      "declared": "Widgets.Scenes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-scenes.ads.html#L38"
    },
    {
      "label": "A_Scoreboard",
      "docHref": "docs/widgets__scoreboards___spec.html#L12C10",
      "declared": "Widgets.Scoreboards",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-scoreboards.ads.html#L12"
    },
    {
      "label": "A_Screen_Manager",
      "docHref": "docs/widgets__screen_managers___spec.html#L18C10",
      "declared": "Widgets.Screen_Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-screen_managers.ads.html#L18"
    },
    {
      "label": "A_Scribble_Compiler",
      "docHref": "docs/scribble__compilers___spec.html#L24C10",
      "declared": "Scribble.Compilers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-compilers.ads.html#L24"
    },
    {
      "label": "A_Scribble_Namespace",
      "docHref": "docs/scribble__namespaces___spec.html#L19C10",
      "declared": "Scribble.Namespaces",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-namespaces.ads.html#L19"
    },
    {
      "label": "A_Scribble_Runtime",
      "docHref": "docs/scribble__runtimes___spec.html#L43C10",
      "declared": "Scribble.Runtimes",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-runtimes.ads.html#L43"
    },
    {
      "label": "A_Scribble_VM",
      "docHref": "docs/scribble__vms___spec.html#L76C10",
      "declared": "Scribble.VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-vms.ads.html#L76"
    },
    {
      "label": "A_Script",
      "docHref": "docs/entities__components__scripts___spec.html#L94C10",
      "declared": "Entities.Components.Scripts",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-scripts.ads.html#L94"
    },
    {
      "label": "A_Script_Event",
      "docHref": "docs/events__game___spec.html#L114C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L114"
    },
    {
      "label": "A_Script_VM",
      "docHref": "docs/script_vms___spec.html#L21C10",
      "declared": "Script_VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/script_vms.ads.html#L21"
    },
    {
      "label": "A_Scroll_View_Event",
      "docHref": "docs/events__game___spec.html#L128C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L128"
    },
    {
      "label": "A_SEA",
      "docHref": "docs/streams___spec.html#L15C10",
      "declared": "Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/streams.ads.html#L15"
    },
    {
      "label": "A_SEA",
      "docHref": "docs/zip_streams__array_streams___spec.html#L6C10",
      "declared": "Zip_Streams.Array_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams-array_streams.ads.html#L6"
    },
    {
      "label": "A_Semantic_Analyzer",
      "docHref": "docs/scribble__semantics___spec.html#L67C10",
      "declared": "Scribble.Semantics",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-semantics.ads.html#L67"
    },
    {
      "label": "A_Session",
      "docHref": "docs/sessions___spec.html#L67C10",
      "declared": "Sessions",
      "declared_qualifier": "",
      "srcHref": "srcs/sessions.ads.html#L67"
    },
    {
      "label": "A_Session_Allocator",
      "docHref": "docs/sessions___spec.html#L70C10",
      "declared": "Sessions",
      "declared_qualifier": "",
      "srcHref": "srcs/sessions.ads.html#L70"
    },
    {
      "label": "A_Shape_Cache",
      "docHref": "docs/maps__shape_caches___spec.html#L21C10",
      "declared": "Maps.Shape_Caches",
      "declared_qualifier": "",
      "srcHref": "srcs/maps-shape_caches.ads.html#L21"
    },
    {
      "label": "A_Simple_Namespace",
      "docHref": "docs/scribble__namespaces__simple___spec.html#L17C10",
      "declared": "Scribble.Namespaces.Simple",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-namespaces-simple.ads.html#L17"
    },
    {
      "label": "A_Solid",
      "docHref": "docs/entities__components__solids___spec.html#L56C10",
      "declared": "Entities.Components.Solids",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-solids.ads.html#L56"
    },
    {
      "label": "A_Spawn_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L229C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L229"
    },
    {
      "label": "A_Sprite",
      "docHref": "docs/widgets__sprites___spec.html#L21C10",
      "declared": "Widgets.Sprites",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-sprites.ads.html#L21"
    },
    {
      "label": "A_State",
      "docHref": "docs/entities__states___spec.html#L53C10",
      "declared": "Entities.States",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-states.ads.html#L53"
    },
    {
      "label": "A_State_Machine",
      "docHref": "docs/entities__states___spec.html#L67C10",
      "declared": "Entities.States",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-states.ads.html#L67"
    },
    {
      "label": "A_String_Array",
      "docHref": "docs/scribble__debugging___spec.html#L18C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L18"
    },
    {
      "label": "A_String_Stream",
      "docHref": "docs/scribble__string_streams___spec.html#L17C10",
      "declared": "Scribble.String_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-string_streams.ads.html#L17"
    },
    {
      "label": "A_Style_Definition",
      "docHref": "docs/widget_styles__registry___spec.html#L16C10",
      "declared": "Widget_Styles.Registry",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles-registry.ads.html#L16"
    },
    {
      "label": "A_Sub_Menu",
      "docHref": "docs/widgets__menu_items__sub_menus___spec.html#L14C10",
      "declared": "Widgets.Menu_Items.Sub_Menus",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_items-sub_menus.ads.html#L14"
    },
    {
      "label": "A_Template",
      "docHref": "docs/entities__factory__templates___spec.html#L20C10",
      "declared": "Entities.Factory.Templates",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-factory-templates.ads.html#L20"
    },
    {
      "label": "A_Terrain_Corner",
      "docHref": "docs/tiles__terrains___spec.html#L54C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L54"
    },
    {
      "label": "A_Terrain_Definition",
      "docHref": "docs/tiles__terrains___spec.html#L66C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L66"
    },
    {
      "label": "A_Terrain_Edge",
      "docHref": "docs/tiles__terrains___spec.html#L43C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L43"
    },
    {
      "label": "A_Terrain_Slice",
      "docHref": "docs/tiles__terrains___spec.html#L28C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L28"
    },
    {
      "label": "A_Textbox",
      "docHref": "docs/widgets__text_boxes___spec.html#L16C10",
      "declared": "Widgets.Text_Boxes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-text_boxes.ads.html#L16"
    },
    {
      "label": "A_Thread",
      "docHref": "docs/scribble__vms___spec.html#L19C10",
      "declared": "Scribble.VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-vms.ads.html#L19"
    },
    {
      "label": "A_Tile",
      "docHref": "docs/tiles___spec.html#L54C10",
      "declared": "Tiles",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles.ads.html#L54"
    },
    {
      "label": "A_Tile_Event",
      "docHref": "docs/events__world___spec.html#L115C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L115"
    },
    {
      "label": "A_Tile_Id_Array",
      "docHref": "docs/tiles___spec.html#L29C10",
      "declared": "Tiles",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles.ads.html#L29"
    },
    {
      "label": "A_Tile_Sensor",
      "docHref": "docs/entities__components__tile_sensors___spec.html#L38C10",
      "declared": "Entities.Components.Tile_Sensors",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-tile_sensors.ads.html#L38"
    },
    {
      "label": "A_Tokenizer",
      "docHref": "docs/scribble__tokenizers___spec.html#L25C10",
      "declared": "Scribble.Tokenizers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokenizers.ads.html#L25"
    },
    {
      "label": "A_Unary_Function",
      "docHref": "docs/values__operations___spec.html#L13C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L13"
    },
    {
      "label": "A_User_Event_Destructor",
      "docHref": "docs/allegro__events___spec.html#L260C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L260"
    },
    {
      "label": "A_Value",
      "docHref": "docs/values___spec.html#L51C10",
      "declared": "Values",
      "declared_qualifier": "",
      "srcHref": "srcs/values.ads.html#L51"
    },
    {
      "label": "A_Value_Array",
      "docHref": "docs/values___spec.html#L155C10",
      "declared": "Values",
      "declared_qualifier": "",
      "srcHref": "srcs/values.ads.html#L155"
    },
    {
      "label": "A_Var_Name_Array",
      "docHref": "docs/scribble__debugging___spec.html#L29C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L29"
    },
    {
      "label": "A_Var_Use_Array",
      "docHref": "docs/scribble__debugging___spec.html#L26C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L26"
    },
    {
      "label": "A_Vertex_Index_Array",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L360C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L360"
    },
    {
      "label": "A_View_Allocator",
      "docHref": "docs/game_views___spec.html#L46C10",
      "declared": "Game_Views",
      "declared_qualifier": "",
      "srcHref": "srcs/game_views.ads.html#L46"
    },
    {
      "label": "A_Visible",
      "docHref": "docs/entities__components__visibles___spec.html#L37C10",
      "declared": "Entities.Components.Visibles",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-visibles.ads.html#L37"
    },
    {
      "label": "A_Widget",
      "docHref": "docs/widgets___spec.html#L87C10",
      "declared": "Widgets",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets.ads.html#L87"
    },
    {
      "label": "A_Widget_Style",
      "docHref": "docs/widget_styles___spec.html#L35C10",
      "declared": "Widget_Styles",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles.ads.html#L35"
    },
    {
      "label": "A_Window",
      "docHref": "docs/widgets__windows___spec.html#L28C10",
      "declared": "Widgets.Windows",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-windows.ads.html#L28"
    },
    {
      "label": "A_Window_Event",
      "docHref": "docs/events__application___spec.html#L48C10",
      "declared": "Events.Application",
      "declared_qualifier": "",
      "srcHref": "srcs/events-application.ads.html#L48"
    },
    {
      "label": "A_World",
      "docHref": "docs/worlds___spec.html#L93C10",
      "declared": "Worlds",
      "declared_qualifier": "",
      "srcHref": "srcs/worlds.ads.html#L93"
    },
    {
      "label": "A_World_Loaded_Event",
      "docHref": "docs/events__world___spec.html#L55C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L55"
    },
    {
      "label": "A_World_Property_Event",
      "docHref": "docs/events__world___spec.html#L77C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L77"
    },
    {
      "label": "Ada_Main_Procedure",
      "docHref": "docs/allegro___spec.html#L43C10",
      "declared": "Allegro",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro.ads.html#L43"
    },
    {
      "label": "Allegro_IIO_FS_Loader_Function",
      "docHref": "docs/allegro__bitmaps__image_io___spec.html#L24C10",
      "declared": "Allegro.Bitmaps.Image_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-image_io.ads.html#L24"
    },
    {
      "label": "Allegro_IIO_FS_Saver_Function",
      "docHref": "docs/allegro__bitmaps__image_io___spec.html#L32C10",
      "declared": "Allegro.Bitmaps.Image_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-image_io.ads.html#L32"
    },
    {
      "label": "Allegro_IIO_Identifier_Function",
      "docHref": "docs/allegro__bitmaps__image_io___spec.html#L36C10",
      "declared": "Allegro.Bitmaps.Image_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-image_io.ads.html#L36"
    },
    {
      "label": "Allegro_IIO_Loader_Function",
      "docHref": "docs/allegro__bitmaps__image_io___spec.html#L20C10",
      "declared": "Allegro.Bitmaps.Image_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-image_io.ads.html#L20"
    },
    {
      "label": "Allegro_IIO_Saver_Function",
      "docHref": "docs/allegro__bitmaps__image_io___spec.html#L28C10",
      "declared": "Allegro.Bitmaps.Image_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-image_io.ads.html#L28"
    },
    {
      "label": "Compose_func",
      "docHref": "docs/unzip___spec.html#L84C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L84"
    },
    {
      "label": "Create_Path_proc",
      "docHref": "docs/unzip___spec.html#L68C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L68"
    },
    {
      "label": "Feedback_proc",
      "docHref": "docs/zip___spec.html#L262C8",
      "declared": "Zip",
      "declared_qualifier": "",
      "srcHref": "srcs/zip.ads.html#L262"
    },
    {
      "label": "fi_fclearerr",
      "docHref": "docs/allegro__file_io___spec.html#L35C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L35"
    },
    {
      "label": "fi_fclose",
      "docHref": "docs/allegro__file_io___spec.html#L26C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L26"
    },
    {
      "label": "fi_feof",
      "docHref": "docs/allegro__file_io___spec.html#L32C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L32"
    },
    {
      "label": "fi_ferrmsg",
      "docHref": "docs/allegro__file_io___spec.html#L34C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L34"
    },
    {
      "label": "fi_ferror",
      "docHref": "docs/allegro__file_io___spec.html#L33C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L33"
    },
    {
      "label": "fi_fflush",
      "docHref": "docs/allegro__file_io___spec.html#L29C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L29"
    },
    {
      "label": "fi_fopen",
      "docHref": "docs/allegro__file_io___spec.html#L25C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L25"
    },
    {
      "label": "fi_fread",
      "docHref": "docs/allegro__file_io___spec.html#L27C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L27"
    },
    {
      "label": "fi_fseek",
      "docHref": "docs/allegro__file_io___spec.html#L31C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L31"
    },
    {
      "label": "fi_fsize",
      "docHref": "docs/allegro__file_io___spec.html#L37C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L37"
    },
    {
      "label": "fi_ftell",
      "docHref": "docs/allegro__file_io___spec.html#L30C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L30"
    },
    {
      "label": "fi_fungetc",
      "docHref": "docs/allegro__file_io___spec.html#L36C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L36"
    },
    {
      "label": "fi_fwrite",
      "docHref": "docs/allegro__file_io___spec.html#L28C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L28"
    },
    {
      "label": "Get_password_proc",
      "docHref": "docs/unzip___spec.html#L191C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L191"
    },
    {
      "label": "Locked_Int_Ptr",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L57C13",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L57"
    },
    {
      "label": "Locked_Short_Ptr",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L63C13",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L63"
    },
    {
      "label": "Locked_Vertex_Ptr",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L295C13",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L295"
    },
    {
      "label": "mi_calloc",
      "docHref": "docs/allegro__memory___spec.html#L21C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L21"
    },
    {
      "label": "mi_free",
      "docHref": "docs/allegro__memory___spec.html#L19C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L19"
    },
    {
      "label": "mi_malloc",
      "docHref": "docs/allegro__memory___spec.html#L18C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L18"
    },
    {
      "label": "mi_realloc",
      "docHref": "docs/allegro__memory___spec.html#L20C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L20"
    },
    {
      "label": "Output_Proc",
      "docHref": "docs/debugging___spec.html#L52C10",
      "declared": "Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/debugging.ads.html#L52"
    },
    {
      "label": "p_Byte_Buffer",
      "docHref": "docs/zip___spec.html#L282C8",
      "declared": "Zip",
      "declared_qualifier": "",
      "srcHref": "srcs/zip.ads.html#L282"
    },
    {
      "label": "p_HufT_table",
      "docHref": "docs/unzip__decompress__huffman___spec.html#L9C8",
      "declared": "UnZip.Decompress.Huffman",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L9"
    },
    {
      "label": "p_Table_list",
      "docHref": "docs/unzip__decompress__huffman___spec.html#L25C8",
      "declared": "UnZip.Decompress.Huffman",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L25"
    },
    {
      "label": "Resolve_conflict_proc",
      "docHref": "docs/unzip___spec.html#L184C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L184"
    },
    {
      "label": "Set_Time_Stamp_proc",
      "docHref": "docs/unzip___spec.html#L73C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L73"
    },
    {
      "label": "Set_ZTime_Stamp_proc",
      "docHref": "docs/unzip___spec.html#L77C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L77"
    },
    {
      "label": "Stream_Access",
      "docHref": "docs/unzip__streams___spec.html#L66C9",
      "declared": "UnZip.Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-streams.ads.html#L66"
    },
    {
      "label": "Tell_data_proc",
      "docHref": "docs/unzip___spec.html#L199C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L199"
    },
    {
      "label": "Zipped_File_Type",
      "docHref": "docs/unzip__streams___spec.html#L24C9",
      "declared": "UnZip.Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-streams.ads.html#L24"
    },
    {
      "label": "Zipstream_Class_Access",
      "docHref": "docs/zip_streams___spec.html#L57C9",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L57"
    }
  ]
};